## raccess4vbox3 0.2.8.1

=== Makefile ===
#
DESTDIR=

LIB	=$(DESTDIR)/usr/share/isdn/vbox
TCL_DIR	=$(LIB)/tcl
ULAW_DIR	=$(LIB)/ulaw
SKEL_DIR	=$(LIB)/skel
BIN_DIR	=$(LIB)/bin

# end configuration.

all: raccess.conf bin/notify ulaws docs

raccess.conf: Makefile
	sed -e s}\|ULAW_DIR\|}$(ULAW_DIR)}g \
		-e s}\|BIN_DIR\|}$(BIN_DIR)}g \
		< raccess.conf.tpl > raccess.conf

bin/notify: Makefile
	sed -e s}\|BIN_DIR\|}$(BIN_DIR)}g \
		< bin/notify.tpl > bin/notify

ulaws:
	$(MAKE) -C ulaw

install: all directories
	install -m 0644 tcl/raccess4vbox3.tcl \
		$(TCL_DIR)/raccess4vbox3.tcl
	install -m 0644 raccess.conf $(SKEL_DIR)/raccess.conf
	install -m 0644 vboxrc $(SKEL_DIR)/vboxrc
	install -m 0644 raccess/answeringmachine raccess/remoteaccess \
		raccess/sysinfo raccess/dialup \
		$(SKEL_DIR)/raccess/
	install -m 0644 msg/standard.ulaw $(LIB)/msg/
	install -m 0644 msg/beep.ulaw $(LIB)/msg/
	install -m 0755 bin/uptime bin/ip-eth0 bin/ip-eth1 \
		bin/vboxmail bin/notify \
		bin/[gs]etifstatus $(BIN_DIR)/

	make -C ulaw install ULAW_DIR=$(ULAW_DIR)

directories:
	install -m 0755 -d $(ULAW_DIR)
	install -m 0755 -d $(LIB)/msg
	install -m 0755 -d $(BIN_DIR)
	install -m 0755 -d $(SKEL_DIR)/raccess
	install -m 0755 -d $(SKEL_DIR)/msg
	install -m 0755 -d $(SKEL_DIR)/new
	install -m 0755 -d $(SKEL_DIR)/tcl
	# other directories should exist.
		install -m 0755 -d $(TCL_DIR)

clean:
	rm -f raccess.conf
	rm -f bin/notify

	find . -name '*~' -exec rm -f {} \;
	find . -name '\#?*' -exec rm -f {} \;
	find . -name '.??*~' -exec rm -f {} \;

ulaws-clean:
	$(MAKE) -C ulaw clean

docs:
	$(MAKE) -C doc

docs-clean:
	$(MAKE) -C doc clean

=== doc/Makefile ===
all: ../README ../INSTALL ../Configuration

../README: index.html
	w3m -dump index.html > ../README

../INSTALL: install.html
	w3m -dump install.html > ../INSTALL

../Configuration: configuration.html
	w3m -dump configuration.html > ../Configuration

clean:
	find . -name '*~' -exec rm -f {} \;
	find . -name '\#?*' -exec rm -f {} \;
	find . -name '.??*~' -exec rm -f {} \;

	rm -f ../README ../INSTALL ../Configuration

=== ulaw/Makefile ===
ULAW_DIR=

TODO=misc numbers numbers-dot months days

all: $(TODO)

misc: files.misc
	touch misc
	(while read j; do sh -c "./t2s $$j"; done) < files.misc

numbers: files.numbers
	touch numbers
	(while read j; do sh -c "./t2s $$j"; done) < files.numbers

numbers-dot: files.numbers-dot
	touch numbers-dot
	(while read j; do sh -c "./t2s $$j"; done) < files.numbers-dot

months: files.months
	touch months
	(while read j; do sh -c "./t2s $$j"; done) < files.months

days: files.days
	touch days
	(while read j; do sh -c "./t2s $$j"; done) < files.days

clean:
	rm -f ulaw/* || true
	rm -f $(TODO)

install:
	find ulaw -type f -maxdepth 1 -exec \
		install -m 0644 {} $(ULAW_DIR)/ \;
	(cd $(ULAW_DIR); while read j; do sh -c "ln -sf $$j"; done) \
		< links.numbers

## raccess4vbox3 0.2.6

=== debian/changelog ===
raccess4vbox3 (0.2.6) unstable; urgency=low

  * fix spelling error in description (closes: #125302).
  * new rudimentary documentation of configuration files, this should
    make it easier to build own voice response system configurations.
  * depends on metamail and mail-transport-agent.

 -- Gerrit Pape <pape@smarden.org>  Wed,  2 Jan 2002 10:48:33 +0100

raccess4vbox3 (0.2.5) unstable; urgency=low

  * documentation (txt format) updated in source (closes: #120847).

 -- Gerrit Pape <pape@smarden.org>  Sat, 24 Nov 2001 09:45:11 +0100

raccess4vbox3 (0.2.4) unstable; urgency=low

  * package moved to smarden.org.
  * extra-license-file rmeoved.
  * new Standards-Version.

 -- Gerrit Pape <pape@smarden.org>  Fri, 23 Nov 2001 16:57:14 +0100

raccess4vbox3 (0.2.3) unstable; urgency=low

  * changed maintainer email address to <pape@smarden.org>.

 -- Gerrit Pape <pape@smarden.org>  Mon, 24 Sep 2001 16:57:18 +0200

raccess4vbox3 (0.2.2) unstable; urgency=low

  * minor documentation typo.
  * debian package cleanup.
  * initial upload (closes: #93211)

 -- Gerrit Pape <pape@innominate.com>  Sun, 15 Apr 2001 16:18:19 +0200

raccess4vbox3 (0.2.1) unstable; urgency=low

  * used festvox-kdlpc16k for ulaws (American English male speaker).

 -- Gerrit Pape <pape@innominate.com>  Sun, 18 Mar 2001 18:44:16 +0100

raccess4vbox3 (0.2.0) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@innominate.com>  Mon, 12 Feb 2001 15:21:07 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: raccess4vbox3
Section: utils
Priority: extra
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.5.2
Build-Depends: debhelper (>> 3.0.0)

Package: raccess4vbox3
Architecture: any
Depends: vbox3, metamail, mail-transport-agent
Description: DTMF support and utilities for vbox3
 raccess4vbox3 provides initial configuration of vbox3, support for
 DTMF, and comes as a sample answering machine with remote access mode
 plus example modes for remote control of the system. A set of american
 voice sound files created with festival is included.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## raccess4vbox3 0.2.7

=== debian/changelog ===
raccess4vbox3 (0.2.7) unstable; urgency=low

  * raccess4vbox3.tcl: action 'hangup' added. generic event 'quit' for
    modes added (undocumented).
  * documentation updated.
  * debian/control: Architecture: all.

 -- Gerrit Pape <pape@smarden.org>  Sat,  2 Mar 2002 15:43:43 +0100

## raccess4vbox3 0.2.8

=== debian/changelog ===
raccess4vbox3 (0.2.8) unstable; urgency=low

  * tcl/raccess4vbox3.tcl: apply patch from Malte J. Wetz: additional
    argument $vbxv_localphone to callhandler; make $vbxv_callerid,
    $vbxv_callername, $vbxv_localphone, $vbxv_savevbox available in
    function play().
  * bin/vboxmail: apply patch from Martin Michlmayr: use qp-encode from
    the mime-codecs package instead of mimencode.
  * debian/control: Depends: mime-codecs, instead of metamail (patch from
    Martin Michlmayr, closes: #212349).
  * tcl/raccess4vbox3.tcl: don't barf on empty output from external
    programs run by function play().

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Oct 2003 12:03:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>> 3.0.0)
 
 Package: raccess4vbox3
-Architecture: any
-Depends: vbox3, metamail, mail-transport-agent
+Architecture: all
+Depends: vbox3, mime-codecs, mail-transport-agent
 Description: DTMF support and utilities for vbox3
  raccess4vbox3 provides initial configuration of vbox3, support for
  DTMF, and comes as a sample answering machine with remote access mode

## raccess4vbox3 0.2.8.1

=== debian/changelog ===
raccess4vbox3 (0.2.8.1) unstable; urgency=low

  * bin/vboxmail: revert patch from Martin Michlmayr: use mimencode
    instead of qp-encode from the mime-codecs package which has been
    removed from Debian/sid (ref: #212349).
  * debian/control: revert patch from Martin Michlmayr: Depends: metamail,
    instead of mime-codecs (ref: #212349, closes: #358942).

 -- Gerrit Pape <pape@smarden.org>  Wed, 10 May 2006 20:29:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: raccess4vbox3
 Architecture: all
-Depends: vbox3, mime-codecs, mail-transport-agent
+Depends: vbox3, metamail, mail-transport-agent
 Description: DTMF support and utilities for vbox3
  raccess4vbox3 provides initial configuration of vbox3, support for
  DTMF, and comes as a sample answering machine with remote access mode

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-
 	
 	# Add here commands to compile the package.
 	$(MAKE)
@@ -49,13 +48,7 @@
 #	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples
-	dh_installmenu
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installinit
-	dh_installcron
-	dh_installmanpages
-	dh_installinfo
+#	dh_installman
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_link
@@ -64,7 +57,6 @@
 	dh_fixperms
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## raccess4vbox3 0.2.8.2

=== debian/changelog ===
raccess4vbox3 (0.2.8.2) unstable; urgency=medium

  * bin/ip-eth0, bin/ip-eth1, bin/uptime: fix bashisms (thx Chris Lamb
    for the patch, closes: #489651).
  * bin/uptime: trim fraction from seconds; use arithmetic expansions
    instead of 'expr'.

 -- Gerrit Pape <pape@smarden.org>  Sun, 24 Aug 2008 23:16:02 +0000
